# Newsletter to Web

Converts a newsletter to and Atom feed and static HTML files.

## Usage

Get the latest release [from the releases page](https://code.kiers.eu/newsletter-to-web/newsletter-to-web/releases/latest).

### Getting help

For help, use 

* `newsletter-to-web help`
* `newsletter-to-web help <subcommand>`.

### Basic usage

First, download all messages from the IMAP mail server 
and store them in the `data/` directory:

```sh
newsletter-to-web fetch-from-imap -s <imap.example.com> -u <email@example.com> -p <password>
```

Then, convert them to an Atom feed, using
`newsletters.example.com` as the base domain:

```sh
newsletter-to-web --include-html build-feed newsletters.example.org
```

This will put the output in the `output/` directory. The Atom
feed will be in `output/feed.xml`, together with a very simple
`index.html` file pointing to the feed. It will also add an HTML
file for every email with the HTML content.

The feed will already contain the full HTML, so it can easily be
read from a feed reader.

## Features

### Receive email

* [X] IMAP integration
* [ ] Direct feeding of email message
* [ ] Read from Maildir
* [ ] Read from MBOX

### Convert email to HTML

* [X] Generate static HTML files
* [ ] Parse and add unsubscribe link
* [ ] Where possible: remove tracking pixels / images
* [X] Prevent loading of scripts / images without user interaction

### Create ATOM feed

* [X] Single feed for everything    
* [ ] One feed per newsletter
* [ ] Index feed (containing all newsletters)?
